directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Emmanuel Lecharny <elecha...@gmail.com>
Subject Re: [ApacheDS] Build issue and Java 5 compatibility (Fwd: Build failed in Jenkins: dir-apacheds-jdk15-ubuntu-deploy #310)
Date Thu, 30 Jun 2011 09:42:38 GMT
On 6/30/11 11:39 AM, Pierre-Arnaud Marcelot wrote:
> Hi dev,
>
> The ApacheDS Jenkins build is badly failing because of the issue introduced with the
use of the latest version of ActiveMQ, being compiled with only Java 6.
> See the detailed error here (and the complete mail below):
>> [ERROR]<https://builds.apache.org/job/dir-apacheds-jdk15-ubuntu-deploy/ws/trunk/protocol-ldap/src/main/java/org/apache/directory/server/ldap/replication/ReplicaEventLogCursor.java>:[24,-1]
cannot access org.apache.activemq.ActiveMQQueueBrowser
>> bad class file: /home/hudson/.m2/repository/org/apache/activemq/activemq-core/5.5.0/activemq-core-5.5.0.jar(org/apache/activemq/ActiveMQQueueBrowser.class)
>> class file has wrong version 50.0, should be 49.0
>
> I think we need to resolve this issue as fast as possible because it's never good to
see CI fail constantly and it make other Jenkins builds depending on the latest version of
ApacheDS fail too (like Studio's for example).
>
> I suggest we start a clear discussion and a vote about a way to solve the problem.
>
> I see too possible workarounds:
> - we switch back to a version of ActiveMQ still compiled using Java 5
> - we move our compilation for ApacheDS from Java 5 to Java 6
>    (This also implicitly indicates that we will do the same for Studio as it depends
on the latest version of ApacheDS)
>
> What are your thoughts about this?

Let's get rid of Java 5.


-- 
Regards,
Cordialement,
Emmanuel Lécharny
www.iktek.com


Mime
View raw message